package com.dhcc.finance.main.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class CwGlTransferExecExample {

	protected String orderByClause;
	protected boolean distinct;
	protected List<Criteria> oredCriteria;

	public CwGlTransferExecExample() {
		oredCriteria = new ArrayList<Criteria>();
	}

	public void setOrderByClause(String orderByClause) {
		this.orderByClause = orderByClause;
	}

	public String getOrderByClause() {
		return orderByClause;
	}

	public void setDistinct(boolean distinct) {
		this.distinct = distinct;
	}

	public boolean isDistinct() {
		return distinct;
	}

	public List<Criteria> getOredCriteria() {
		return oredCriteria;
	}

	public void or(Criteria criteria) {
		oredCriteria.add(criteria);
	}

	public Criteria or() {
		Criteria criteria = createCriteriaInternal();
		oredCriteria.add(criteria);
		return criteria;
	}

	public Criteria createCriteria() {
		Criteria criteria = createCriteriaInternal();
		if (oredCriteria.size() == 0) {
			oredCriteria.add(criteria);
		}
		return criteria;
	}

	protected Criteria createCriteriaInternal() {
		Criteria criteria = new Criteria();
		return criteria;
	}

	public void clear() {
		oredCriteria.clear();
		orderByClause = null;
		distinct = false;
	}

	protected abstract static class GeneratedCriteria {
		protected List<Criterion> criteria;

		protected GeneratedCriteria() {
			super();
			criteria = new ArrayList<Criterion>();
		}

		public boolean isValid() {
			return criteria.size() > 0;
		}

		public List<Criterion> getAllCriteria() {
			return criteria;
		}

		public List<Criterion> getCriteria() {
			return criteria;
		}

		protected void addCriterion(String condition) {
			if (condition == null) {
				throw new RuntimeException("Value for condition cannot be null");
			}
			criteria.add(new Criterion(condition));
		}

		protected void addCriterion(String condition, Object value, String property) {
			if (value == null) {
				throw new RuntimeException("Value for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value));
		}

		protected void addCriterion(String condition, Object value1, Object value2, String property) {
			if (value1 == null || value2 == null) {
				throw new RuntimeException("Between values for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value1, value2));
		}

		protected void addCriterionForJDBCDate(String condition, Date value, String property) {
			if (value == null) {
				throw new RuntimeException("Value for " + property + " cannot be null");
			}
			addCriterion(condition, new java.sql.Date(value.getTime()), property);
		}

		protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
			if (values == null || values.size() == 0) {
				throw new RuntimeException("Value list for " + property + " cannot be null or empty");
			}
			List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
			Iterator<Date> iter = values.iterator();
			while (iter.hasNext()) {
				dateList.add(new java.sql.Date(iter.next().getTime()));
			}
			addCriterion(condition, dateList, property);
		}

		protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
			if (value1 == null || value2 == null) {
				throw new RuntimeException("Between values for " + property + " cannot be null");
			}
			addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
		}

		public Criteria andPkTransferExecIsNull() {
			addCriterion("PK_TRANSFER_EXEC is null");
			return (Criteria) this;
		}

		public Criteria andPkTransferExecIsNotNull() {
			addCriterion("PK_TRANSFER_EXEC is not null");
			return (Criteria) this;
		}

		public Criteria andPkTransferExecEqualTo(String value) {
			addCriterion("PK_TRANSFER_EXEC =", value, "pkTransferExec");
			return (Criteria) this;
		}

		public Criteria andPkTransferExecNotEqualTo(String value) {
			addCriterion("PK_TRANSFER_EXEC <>", value, "pkTransferExec");
			return (Criteria) this;
		}

		public Criteria andPkTransferExecGreaterThan(String value) {
			addCriterion("PK_TRANSFER_EXEC >", value, "pkTransferExec");
			return (Criteria) this;
		}

		public Criteria andPkTransferExecGreaterThanOrEqualTo(String value) {
			addCriterion("PK_TRANSFER_EXEC >=", value, "pkTransferExec");
			return (Criteria) this;
		}

		public Criteria andPkTransferExecLessThan(String value) {
			addCriterion("PK_TRANSFER_EXEC <", value, "pkTransferExec");
			return (Criteria) this;
		}

		public Criteria andPkTransferExecLessThanOrEqualTo(String value) {
			addCriterion("PK_TRANSFER_EXEC <=", value, "pkTransferExec");
			return (Criteria) this;
		}

		public Criteria andPkTransferExecLike(String value) {
			addCriterion("PK_TRANSFER_EXEC like", value, "pkTransferExec");
			return (Criteria) this;
		}

		public Criteria andPkTransferExecNotLike(String value) {
			addCriterion("PK_TRANSFER_EXEC not like", value, "pkTransferExec");
			return (Criteria) this;
		}

		public Criteria andPkTransferExecIn(List<String> values) {
			addCriterion("PK_TRANSFER_EXEC in", values, "pkTransferExec");
			return (Criteria) this;
		}

		public Criteria andPkTransferExecNotIn(List<String> values) {
			addCriterion("PK_TRANSFER_EXEC not in", values, "pkTransferExec");
			return (Criteria) this;
		}

		public Criteria andPkTransferExecBetween(String value1, String value2) {
			addCriterion("PK_TRANSFER_EXEC between", value1, value2, "pkTransferExec");
			return (Criteria) this;
		}

		public Criteria andPkTransferExecNotBetween(String value1, String value2) {
			addCriterion("PK_TRANSFER_EXEC not between", value1, value2, "pkTransferExec");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookIsNull() {
			addCriterion("PK_GLORGBOOK is null");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookIsNotNull() {
			addCriterion("PK_GLORGBOOK is not null");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookEqualTo(String value) {
			addCriterion("PK_GLORGBOOK =", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookNotEqualTo(String value) {
			addCriterion("PK_GLORGBOOK <>", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookGreaterThan(String value) {
			addCriterion("PK_GLORGBOOK >", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookGreaterThanOrEqualTo(String value) {
			addCriterion("PK_GLORGBOOK >=", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookLessThan(String value) {
			addCriterion("PK_GLORGBOOK <", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookLessThanOrEqualTo(String value) {
			addCriterion("PK_GLORGBOOK <=", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookLike(String value) {
			addCriterion("PK_GLORGBOOK like", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookNotLike(String value) {
			addCriterion("PK_GLORGBOOK not like", value, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookIn(List<String> values) {
			addCriterion("PK_GLORGBOOK in", values, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookNotIn(List<String> values) {
			addCriterion("PK_GLORGBOOK not in", values, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookBetween(String value1, String value2) {
			addCriterion("PK_GLORGBOOK between", value1, value2, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPkGlorgbookNotBetween(String value1, String value2) {
			addCriterion("PK_GLORGBOOK not between", value1, value2, "pkGlorgbook");
			return (Criteria) this;
		}

		public Criteria andPeriodIsNull() {
			addCriterion("PERIOD is null");
			return (Criteria) this;
		}

		public Criteria andPeriodIsNotNull() {
			addCriterion("PERIOD is not null");
			return (Criteria) this;
		}

		public Criteria andPeriodEqualTo(String value) {
			addCriterion("PERIOD =", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodNotEqualTo(String value) {
			addCriterion("PERIOD <>", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodGreaterThan(String value) {
			addCriterion("PERIOD >", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodGreaterThanOrEqualTo(String value) {
			addCriterion("PERIOD >=", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodLessThan(String value) {
			addCriterion("PERIOD <", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodLessThanOrEqualTo(String value) {
			addCriterion("PERIOD <=", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodLike(String value) {
			addCriterion("PERIOD like", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodNotLike(String value) {
			addCriterion("PERIOD not like", value, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodIn(List<String> values) {
			addCriterion("PERIOD in", values, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodNotIn(List<String> values) {
			addCriterion("PERIOD not in", values, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodBetween(String value1, String value2) {
			addCriterion("PERIOD between", value1, value2, "period");
			return (Criteria) this;
		}

		public Criteria andPeriodNotBetween(String value1, String value2) {
			addCriterion("PERIOD not between", value1, value2, "period");
			return (Criteria) this;
		}

		public Criteria andIstransferIsNull() {
			addCriterion("ISTRANSFER is null");
			return (Criteria) this;
		}

		public Criteria andIstransferIsNotNull() {
			addCriterion("ISTRANSFER is not null");
			return (Criteria) this;
		}

		public Criteria andIstransferEqualTo(String value) {
			addCriterion("ISTRANSFER =", value, "istransfer");
			return (Criteria) this;
		}

		public Criteria andIstransferNotEqualTo(String value) {
			addCriterion("ISTRANSFER <>", value, "istransfer");
			return (Criteria) this;
		}

		public Criteria andIstransferGreaterThan(String value) {
			addCriterion("ISTRANSFER >", value, "istransfer");
			return (Criteria) this;
		}

		public Criteria andIstransferGreaterThanOrEqualTo(String value) {
			addCriterion("ISTRANSFER >=", value, "istransfer");
			return (Criteria) this;
		}

		public Criteria andIstransferLessThan(String value) {
			addCriterion("ISTRANSFER <", value, "istransfer");
			return (Criteria) this;
		}

		public Criteria andIstransferLessThanOrEqualTo(String value) {
			addCriterion("ISTRANSFER <=", value, "istransfer");
			return (Criteria) this;
		}

		public Criteria andIstransferLike(String value) {
			addCriterion("ISTRANSFER like", value, "istransfer");
			return (Criteria) this;
		}

		public Criteria andIstransferNotLike(String value) {
			addCriterion("ISTRANSFER not like", value, "istransfer");
			return (Criteria) this;
		}

		public Criteria andIstransferIn(List<String> values) {
			addCriterion("ISTRANSFER in", values, "istransfer");
			return (Criteria) this;
		}

		public Criteria andIstransferNotIn(List<String> values) {
			addCriterion("ISTRANSFER not in", values, "istransfer");
			return (Criteria) this;
		}

		public Criteria andIstransferBetween(String value1, String value2) {
			addCriterion("ISTRANSFER between", value1, value2, "istransfer");
			return (Criteria) this;
		}

		public Criteria andIstransferNotBetween(String value1, String value2) {
			addCriterion("ISTRANSFER not between", value1, value2, "istransfer");
			return (Criteria) this;
		}

		public Criteria andTransferUserIsNull() {
			addCriterion("TRANSFER_USER is null");
			return (Criteria) this;
		}

		public Criteria andTransferUserIsNotNull() {
			addCriterion("TRANSFER_USER is not null");
			return (Criteria) this;
		}

		public Criteria andTransferUserEqualTo(String value) {
			addCriterion("TRANSFER_USER =", value, "transferUser");
			return (Criteria) this;
		}

		public Criteria andTransferUserNotEqualTo(String value) {
			addCriterion("TRANSFER_USER <>", value, "transferUser");
			return (Criteria) this;
		}

		public Criteria andTransferUserGreaterThan(String value) {
			addCriterion("TRANSFER_USER >", value, "transferUser");
			return (Criteria) this;
		}

		public Criteria andTransferUserGreaterThanOrEqualTo(String value) {
			addCriterion("TRANSFER_USER >=", value, "transferUser");
			return (Criteria) this;
		}

		public Criteria andTransferUserLessThan(String value) {
			addCriterion("TRANSFER_USER <", value, "transferUser");
			return (Criteria) this;
		}

		public Criteria andTransferUserLessThanOrEqualTo(String value) {
			addCriterion("TRANSFER_USER <=", value, "transferUser");
			return (Criteria) this;
		}

		public Criteria andTransferUserLike(String value) {
			addCriterion("TRANSFER_USER like", value, "transferUser");
			return (Criteria) this;
		}

		public Criteria andTransferUserNotLike(String value) {
			addCriterion("TRANSFER_USER not like", value, "transferUser");
			return (Criteria) this;
		}

		public Criteria andTransferUserIn(List<String> values) {
			addCriterion("TRANSFER_USER in", values, "transferUser");
			return (Criteria) this;
		}

		public Criteria andTransferUserNotIn(List<String> values) {
			addCriterion("TRANSFER_USER not in", values, "transferUser");
			return (Criteria) this;
		}

		public Criteria andTransferUserBetween(String value1, String value2) {
			addCriterion("TRANSFER_USER between", value1, value2, "transferUser");
			return (Criteria) this;
		}

		public Criteria andTransferUserNotBetween(String value1, String value2) {
			addCriterion("TRANSFER_USER not between", value1, value2, "transferUser");
			return (Criteria) this;
		}

		public Criteria andTransferTimeIsNull() {
			addCriterion("TRANSFER_TIME is null");
			return (Criteria) this;
		}

		public Criteria andTransferTimeIsNotNull() {
			addCriterion("TRANSFER_TIME is not null");
			return (Criteria) this;
		}

		public Criteria andTransferTimeEqualTo(Date value) {
			addCriterionForJDBCDate("TRANSFER_TIME =", value, "transferTime");
			return (Criteria) this;
		}

		public Criteria andTransferTimeNotEqualTo(Date value) {
			addCriterionForJDBCDate("TRANSFER_TIME <>", value, "transferTime");
			return (Criteria) this;
		}

		public Criteria andTransferTimeGreaterThan(Date value) {
			addCriterionForJDBCDate("TRANSFER_TIME >", value, "transferTime");
			return (Criteria) this;
		}

		public Criteria andTransferTimeGreaterThanOrEqualTo(Date value) {
			addCriterionForJDBCDate("TRANSFER_TIME >=", value, "transferTime");
			return (Criteria) this;
		}

		public Criteria andTransferTimeLessThan(Date value) {
			addCriterionForJDBCDate("TRANSFER_TIME <", value, "transferTime");
			return (Criteria) this;
		}

		public Criteria andTransferTimeLessThanOrEqualTo(Date value) {
			addCriterionForJDBCDate("TRANSFER_TIME <=", value, "transferTime");
			return (Criteria) this;
		}

		public Criteria andTransferTimeIn(List<Date> values) {
			addCriterionForJDBCDate("TRANSFER_TIME in", values, "transferTime");
			return (Criteria) this;
		}

		public Criteria andTransferTimeNotIn(List<Date> values) {
			addCriterionForJDBCDate("TRANSFER_TIME not in", values, "transferTime");
			return (Criteria) this;
		}

		public Criteria andTransferTimeBetween(Date value1, Date value2) {
			addCriterionForJDBCDate("TRANSFER_TIME between", value1, value2, "transferTime");
			return (Criteria) this;
		}

		public Criteria andTransferTimeNotBetween(Date value1, Date value2) {
			addCriterionForJDBCDate("TRANSFER_TIME not between", value1, value2, "transferTime");
			return (Criteria) this;
		}

		public Criteria andUseStateIsNull() {
			addCriterion("USE_STATE is null");
			return (Criteria) this;
		}

		public Criteria andUseStateIsNotNull() {
			addCriterion("USE_STATE is not null");
			return (Criteria) this;
		}

		public Criteria andUseStateEqualTo(String value) {
			addCriterion("USE_STATE =", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotEqualTo(String value) {
			addCriterion("USE_STATE <>", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateGreaterThan(String value) {
			addCriterion("USE_STATE >", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateGreaterThanOrEqualTo(String value) {
			addCriterion("USE_STATE >=", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLessThan(String value) {
			addCriterion("USE_STATE <", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLessThanOrEqualTo(String value) {
			addCriterion("USE_STATE <=", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLike(String value) {
			addCriterion("USE_STATE like", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotLike(String value) {
			addCriterion("USE_STATE not like", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateIn(List<String> values) {
			addCriterion("USE_STATE in", values, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotIn(List<String> values) {
			addCriterion("USE_STATE not in", values, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateBetween(String value1, String value2) {
			addCriterion("USE_STATE between", value1, value2, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotBetween(String value1, String value2) {
			addCriterion("USE_STATE not between", value1, value2, "useState");
			return (Criteria) this;
		}

		public Criteria andCreateUserIsNull() {
			addCriterion("CREATE_USER is null");
			return (Criteria) this;
		}

		public Criteria andCreateUserIsNotNull() {
			addCriterion("CREATE_USER is not null");
			return (Criteria) this;
		}

		public Criteria andCreateUserEqualTo(String value) {
			addCriterion("CREATE_USER =", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotEqualTo(String value) {
			addCriterion("CREATE_USER <>", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserGreaterThan(String value) {
			addCriterion("CREATE_USER >", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserGreaterThanOrEqualTo(String value) {
			addCriterion("CREATE_USER >=", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLessThan(String value) {
			addCriterion("CREATE_USER <", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLessThanOrEqualTo(String value) {
			addCriterion("CREATE_USER <=", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLike(String value) {
			addCriterion("CREATE_USER like", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotLike(String value) {
			addCriterion("CREATE_USER not like", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserIn(List<String> values) {
			addCriterion("CREATE_USER in", values, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotIn(List<String> values) {
			addCriterion("CREATE_USER not in", values, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserBetween(String value1, String value2) {
			addCriterion("CREATE_USER between", value1, value2, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotBetween(String value1, String value2) {
			addCriterion("CREATE_USER not between", value1, value2, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIsNull() {
			addCriterion("CREATE_TIME is null");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIsNotNull() {
			addCriterion("CREATE_TIME is not null");
			return (Criteria) this;
		}

		public Criteria andCreateTimeEqualTo(Date value) {
			addCriterion("CREATE_TIME =", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotEqualTo(Date value) {
			addCriterion("CREATE_TIME <>", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeGreaterThan(Date value) {
			addCriterion("CREATE_TIME >", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
			addCriterion("CREATE_TIME >=", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeLessThan(Date value) {
			addCriterion("CREATE_TIME <", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
			addCriterion("CREATE_TIME <=", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIn(List<Date> values) {
			addCriterion("CREATE_TIME in", values, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotIn(List<Date> values) {
			addCriterion("CREATE_TIME not in", values, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeBetween(Date value1, Date value2) {
			addCriterion("CREATE_TIME between", value1, value2, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
			addCriterion("CREATE_TIME not between", value1, value2, "createTime");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIsNull() {
			addCriterion("UPDATE_USER is null");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIsNotNull() {
			addCriterion("UPDATE_USER is not null");
			return (Criteria) this;
		}

		public Criteria andUpdateUserEqualTo(String value) {
			addCriterion("UPDATE_USER =", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotEqualTo(String value) {
			addCriterion("UPDATE_USER <>", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserGreaterThan(String value) {
			addCriterion("UPDATE_USER >", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserGreaterThanOrEqualTo(String value) {
			addCriterion("UPDATE_USER >=", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLessThan(String value) {
			addCriterion("UPDATE_USER <", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLessThanOrEqualTo(String value) {
			addCriterion("UPDATE_USER <=", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLike(String value) {
			addCriterion("UPDATE_USER like", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotLike(String value) {
			addCriterion("UPDATE_USER not like", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIn(List<String> values) {
			addCriterion("UPDATE_USER in", values, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotIn(List<String> values) {
			addCriterion("UPDATE_USER not in", values, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserBetween(String value1, String value2) {
			addCriterion("UPDATE_USER between", value1, value2, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotBetween(String value1, String value2) {
			addCriterion("UPDATE_USER not between", value1, value2, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIsNull() {
			addCriterion("UPDATE_TIME is null");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIsNotNull() {
			addCriterion("UPDATE_TIME is not null");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeEqualTo(Date value) {
			addCriterion("UPDATE_TIME =", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotEqualTo(Date value) {
			addCriterion("UPDATE_TIME <>", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeGreaterThan(Date value) {
			addCriterion("UPDATE_TIME >", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
			addCriterion("UPDATE_TIME >=", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeLessThan(Date value) {
			addCriterion("UPDATE_TIME <", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
			addCriterion("UPDATE_TIME <=", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIn(List<Date> values) {
			addCriterion("UPDATE_TIME in", values, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotIn(List<Date> values) {
			addCriterion("UPDATE_TIME not in", values, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeBetween(Date value1, Date value2) {
			addCriterion("UPDATE_TIME between", value1, value2, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
			addCriterion("UPDATE_TIME not between", value1, value2, "updateTime");
			return (Criteria) this;
		}

		public Criteria andRemarkIsNull() {
			addCriterion("REMARK is null");
			return (Criteria) this;
		}

		public Criteria andRemarkIsNotNull() {
			addCriterion("REMARK is not null");
			return (Criteria) this;
		}

		public Criteria andRemarkEqualTo(String value) {
			addCriterion("REMARK =", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotEqualTo(String value) {
			addCriterion("REMARK <>", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkGreaterThan(String value) {
			addCriterion("REMARK >", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkGreaterThanOrEqualTo(String value) {
			addCriterion("REMARK >=", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLessThan(String value) {
			addCriterion("REMARK <", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLessThanOrEqualTo(String value) {
			addCriterion("REMARK <=", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLike(String value) {
			addCriterion("REMARK like", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotLike(String value) {
			addCriterion("REMARK not like", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkIn(List<String> values) {
			addCriterion("REMARK in", values, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotIn(List<String> values) {
			addCriterion("REMARK not in", values, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkBetween(String value1, String value2) {
			addCriterion("REMARK between", value1, value2, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotBetween(String value1, String value2) {
			addCriterion("REMARK not between", value1, value2, "remark");
			return (Criteria) this;
		}
	}

	public static class Criteria extends GeneratedCriteria {
		protected Criteria() {
			super();
		}
	}

	public static class Criterion {
		private String condition;
		private Object value;
		private Object secondValue;
		private boolean noValue;
		private boolean singleValue;
		private boolean betweenValue;
		private boolean listValue;
		private String typeHandler;

		public String getCondition() {
			return condition;
		}

		public Object getValue() {
			return value;
		}

		public Object getSecondValue() {
			return secondValue;
		}

		public boolean isNoValue() {
			return noValue;
		}

		public boolean isSingleValue() {
			return singleValue;
		}

		public boolean isBetweenValue() {
			return betweenValue;
		}

		public boolean isListValue() {
			return listValue;
		}

		public String getTypeHandler() {
			return typeHandler;
		}

		protected Criterion(String condition) {
			super();
			this.condition = condition;
			this.typeHandler = null;
			this.noValue = true;
		}

		protected Criterion(String condition, Object value, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.typeHandler = typeHandler;
			if (value instanceof List<?>) {
				this.listValue = true;
			} else {
				this.singleValue = true;
			}
		}

		protected Criterion(String condition, Object value) {
			this(condition, value, null);
		}

		protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.secondValue = secondValue;
			this.typeHandler = typeHandler;
			this.betweenValue = true;
		}

		protected Criterion(String condition, Object value, Object secondValue) {
			this(condition, value, secondValue, null);
		}
	}
   
}